asn1_der_decoding(3)

NAME
asn1_der_decoding - API function

SYNOPSIS
#include <libtasn1.h>

int asn1_der_decoding(asn1_node * element, const void * ider, int ider_len, char * errorDescription);

ARGUMENTS

asn1_node * element
    pointer to an ASN1 structure.

const void * ider
    vector that contains the DER encoding.

int ider_len
    number of bytes of * ider : ider [0].. ider [len-1].

char * errorDescription
    null-terminated string contains details when an error occurred.

DESCRIPTION
Fill the structure * element with values of a DER encoding string. The structure must just be created with function asn1_create_element(). Note that the * element variable is provided as a pointer for historical reasons.

RETURNS
ASN1_SUCCESS if DER encoding OK, ASN1_ELEMENT_NOT_FOUND if ELEMENT is NULL, and ASN1_TAG_ERROR or ASN1_DER_ERROR if the der encoding doesn't match the structure name (* ELEMENT deleted).

COPYRIGHT
Copyright © 2006-2015 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/libtasn1/manual/